<p align="center">
  <h1>🌐 Slugy</h1>
  <span>Easily slugify url & titles from any ordinary string.</span>
</p>

[![Standard JS][standard-js-src]][standard-js-href]
[![npm version][npm-version-src]][npm-version-href]
[![npm downloads][npm-downloads-src]][npm-downloads-href]
[![package phobia][package-phobia-src]][package-phobia-href]
[![bundle phobia][bundle-phobia-src]][bundle-phobia-href]

## Installation

Using yarn:

```bash
yarn add slugy
```

Using npm:

```bash
npm i slugy
```

## Usage

```js
const { slugy } = require('slugy');

slugy('Hello World'); // hello-world

// With options:
slugy('Hello World', { separator: '_', lower: false }); // Hello_World
```

<!-- Refs -->

[standard-js-src]: https://flat.badgen.net/badge/code%20style/standard/green
[standard-js-href]: https://standardjs.com
[npm-version-src]: https://flat.badgen.net/npm/v/slugy/latest
[npm-version-href]: https://npmjs.com/package/slugy
[npm-downloads-src]: https://flat.badgen.net/npm/dt/slugy
[npm-downloads-href]: https://npmjs.com/package/slugy
[package-phobia-src]: https://flat.badgen.net/packagephobia/install/slugy
[package-phobia-href]: https://packagephobia.now.sh/result?p=slugy
[bundle-phobia-src]: https://flat.badgen.net/bundlephobia/minzip/slugy
[bundle-phobia-href]: https://bundlephobia.com/result?p=slugy
